| Flutter macOS Embedder |

Instance Methods | Protected Attributes | List of all members
FlutterThreadSynchronizer() Category Reference

## Instance Methods
(BOOL) | - allViewsHaveFrame
(BOOL) | - someViewsHaveFrame

## Protected Attributes
dispatch_queue_t | _mainQueue
std::mutex | _mutex
BOOL | _shuttingDown
std::unordered_map< int64_t, CGSize > | _contentSizes
std::vector< dispatch_block_t > | _scheduledBlocks
BOOL | _beginResizeWaiting
std::condition_variable | _condBlockBeginResize

## Detailed Description

Definition at line 16 of file FlutterThreadSynchronizer.mm.

## Method Documentation

## ◆ allViewsHaveFrame

- (BOOL) allViewsHaveFrame |  |  |

Returns true if all existing views have a non-zero size.

If there are no views, still returns true.

## ◆ someViewsHaveFrame

- (BOOL) someViewsHaveFrame |  |  |

Returns true if there are any views that have a non-zero size.

If there are no views, returns false.

## Member Data Documentation

## ◆ _beginResizeWaiting

- (BOOL) _beginResizeWaiting
| protected

Definition at line 23 of file FlutterThreadSynchronizer.mm.

## ◆ _condBlockBeginResize

- (condition_variable FlutterThreadSynchronizer()):
| protected

Definition at line 26 of file FlutterThreadSynchronizer.mm.

## ◆ _contentSizes

- (unordered_map<int64_t, CGSize> FlutterThreadSynchronizer()):
| protected

Definition at line 20 of file FlutterThreadSynchronizer.mm.

## ◆ _mainQueue

- (dispatch_queue_t) _mainQueue
| protected

Definition at line 17 of file FlutterThreadSynchronizer.mm.

## ◆ _mutex

- (mutex FlutterThreadSynchronizer()):
| protected

Definition at line 18 of file FlutterThreadSynchronizer.mm.

## ◆ _scheduledBlocks

- (vector<dispatch_block_t> FlutterThreadSynchronizer()):
| protected

Definition at line 21 of file FlutterThreadSynchronizer.mm.

## ◆ _shuttingDown

- (BOOL) _shuttingDown
| protected

Definition at line 19 of file FlutterThreadSynchronizer.mm.

The documentation for this category was generated from the following file:

- shell/platform/darwin/macos/framework/Source/FlutterThreadSynchronizer.mm